zenilib: zenilib/jni/external/libpng/pngmem.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
pngmem.c File Reference
`#include "pngpriv.h"`

Go to the source code of this file.

## Functions

void | png_destroy_struct (png_voidp struct_ptr)
void | png_destroy_struct_2 (png_voidp struct_ptr, png_free_ptr free_fn, png_voidp mem_ptr)
void PNGAPI | png_free (png_structp png_ptr, png_voidp ptr)
void PNGAPI | png_free_default (png_structp png_ptr, png_voidp ptr)
| PNG_FUNCTION (png_voidp, png_create_struct,(int type), PNG_ALLOCATED)
| PNG_FUNCTION (png_voidp, png_create_struct_2,(int type, png_malloc_ptr malloc_fn, png_voidp mem_ptr), PNG_ALLOCATED)
| PNG_FUNCTION (png_voidp, PNGAPI png_calloc,(png_structp png_ptr, png_alloc_size_t size), PNG_ALLOCATED)
png_voidp PNGAPI | png_get_mem_ptr (png_const_structp png_ptr)
void PNGAPI | png_set_mem_fn (png_structp png_ptr, png_voidp mem_ptr, png_malloc_ptr malloc_fn, png_free_ptr free_fn)

## Function Documentation

void png_destroy_struct | ( | png_voidp | struct_ptr | ) |

Definition at line 438 of file pngmem.c.

References NULL, and png_destroy_struct_2().

Referenced by png_destroy_info_struct(), png_destroy_read_struct(), png_destroy_write_struct(), PNG_FUNCTION(), and png_info_init_3().

void png_destroy_struct_2 | ( | png_voidp | struct_ptr,
|  | png_free_ptr | free_fn,
|  | png_voidp | mem_ptr
| ) |  |

Definition at line 446 of file pngmem.c.

References free, and NULL.

Referenced by png_destroy_info_struct(), png_destroy_read_struct(), png_destroy_struct(), png_destroy_write_struct(), and PNG_FUNCTION().

void PNGAPI png_free | ( | png_structp | png_ptr,
|  | png_voidp | ptr
| ) |  |

Definition at line 578 of file pngmem.c.

References NULL, and png_free_default().

Referenced by if(), png_check_keyword(), png_decompress_chunk(), png_destroy_gamma_table(), png_destroy_write_struct(), png_free_data(), PNG_FUNCTION(), png_handle_iTXt(), png_handle_pCAL(), png_handle_sCAL(), png_handle_tEXt(), png_handle_unknown(), png_handle_zTXt(), png_info_destroy(), png_push_handle_unknown(), png_push_read_iTXt(), png_push_read_tEXt(), png_push_read_zTXt(), png_push_save_buffer(), png_read_destroy(), png_read_start_row(), png_reset_filter_heuristics(), png_set_compression_buffer_size(), png_set_iCCP(), png_set_keep_unknown_chunks(), png_set_quantize(), png_set_sCAL_s(), png_set_sPLT(), png_set_text_2(), png_set_unknown_chunks(), png_text_compress(), png_write_compressed_data_out(), png_write_destroy(), png_write_iCCP(), png_write_iTXt(), png_write_pCAL(), png_write_sPLT(), png_write_tEXt(), png_write_zTXt(), png_zfree(), and test_one_file().

void PNGAPI png_free_default | ( | png_structp | png_ptr,
|  | png_voidp | ptr
| ) |  |

Definition at line 595 of file pngmem.c.

References free, and NULL.

Referenced by png_free().

PNG_FUNCTION | ( | png_voidp | ,
|  | png_create_struct | ,
|  | (int type) | ,
|  | PNG_ALLOCATED |
| ) |  |

Definition at line 377 of file pngmem.c.

References NULL.

PNG_FUNCTION | ( | png_voidp | ,
|  | png_create_struct_2 | ,
|  | (int type, png_malloc_ptr malloc_fn, png_voidp mem_ptr) | ,
|  | PNG_ALLOCATED |
| ) |  |

Definition at line 387 of file pngmem.c.

References malloc, NULL, png_memset, png_sizeof, PNG_STRUCT_INFO, and PNG_STRUCT_PNG.

PNG_FUNCTION | ( | png_voidp | ,
|  | PNGAPI | png_calloc,
|  | (png_structp png_ptr, png_alloc_size_t size) | ,
|  | PNG_ALLOCATED |
| ) |  |

Definition at line 484 of file pngmem.c.

References NULL, png_memset, and ret.

png_voidp PNGAPI png_get_mem_ptr | ( | png_const_structp | png_ptr | ) |

Definition at line 659 of file pngmem.c.

References NULL.

void PNGAPI png_set_mem_fn | ( | png_structp | png_ptr,
|  | png_voidp | mem_ptr,
|  | png_malloc_ptr | malloc_fn,
|  | png_free_ptr | free_fn
| ) |  |

Definition at line 643 of file pngmem.c.

References NULL.

Referenced by PNG_FUNCTION().